package com.ssj.service.conch.teacher.request.teacherorg;

import com.ssj.bean.common.framework.core.domain.BaseRequest;
import io.swagger.annotations.ApiModelProperty;

/**
 * @author Mount Liu
 * @date 2019/3/5
 */
public class AnsweredProblemReq extends BaseRequest {

    private final static long serialVersionUID = 1L;

    @ApiModelProperty(name = "pageNo", value = "当前页数", required = true)
    private int pageNo;

    @ApiModelProperty(name = "pageSize", value = "每页条数", required = true)
    private int pageSize;

    @ApiModelProperty(name = "maxCreateTime", value = "最大时间", required = true)
    private String maxCreateTime;

    @ApiModelProperty(name = "vipId", value = "会员id", required = true)
    private String vipId;

    @ApiModelProperty(name = "subject", value = "科目", required = false)
    private String subject;

    @ApiModelProperty(name = "port", value = "各端（1：家长端）", required = false)
    private int port;

    public int getPort() {
        return port;
    }

    public void setPort(int port) {
        this.port = port;
    }

    public int getPageNo() {
        return pageNo;
    }

    public void setPageNo(int pageNo) {
        this.pageNo = pageNo;
    }

    public int getPageSize() {
        return pageSize;
    }

    public void setPageSize(int pageSize) {
        this.pageSize = pageSize;
    }

    public String getMaxCreateTime() {
        return maxCreateTime;
    }

    public void setMaxCreateTime(String maxCreateTime) {
        this.maxCreateTime = maxCreateTime;
    }

    public String getVipId() {
        return vipId;
    }

    public void setVipId(String vipId) {
        this.vipId = vipId;
    }

    public String getSubject() {
        return subject;
    }

    public void setSubject(String subject) {
        this.subject = subject;
    }
}
